Subject: Re: sending mail via report-emacs-bug

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 03 Mar 2012 15:33:00 +0100

Thierry Volpiatto <[email-masked]> writes:

> It seem that `report-emacs-bug' is using the value of
> `send-mail-function' when sending bug reports even if the buffer is a
> message buffer.

Hm...  ah, I see.  It's consulting `send-mail-function' (to see whether
it really needs to worry about the From header, which it doesn't need to
when we're going to send via mailclient) even in Message buffers.  And
that's wrong.  I'll fix that...

> Why the value of `message-send-mail-function' isn't used there?

It does use `message-send-mail-function' when actually sending, though,
so I don't see what the bug could be here...

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/